// chiave privata per la generazione dei codici OTP
uint8_t hmacKey[] = {0x65, 0x6c, 0x65, 0x74, 0x74, 0x72, 0x6f, 0x2d, 0x69, 0x6e};                    

// buzzer on/off (commentare la riga sottostante per disabilitarlo
#define BUZZER_ON

// modalità di funzionamento della serratura
// MODO_IMPULSO = se il codice è ok, la serratura rimane aperta per tot millisecondi (definito sotto)
// MODO_STABILE = se il codice è ok, la serratura rimane aperta fino alla pressione di un tasto (definito sotto)
#define MODO_IMPULSO  0
#define MODO_STABILE  1
byte modoSerratura = MODO_IMPULSO;

// tempo di apertura della serratura (in millisecondi) se MODO_IMPULSO
#define TEMPO_APERTURA 2000

// tasto per chiudere la serratura se MODO_STABILE
#define TASTO_CHIUSURA 'D'



// ----- normalmente non è necessario modificare nulla sotto questa riga -----

// definizione dei PIN
#define PIN_BUZZER      6
#define PIN_LEDROSSO   11
#define PIN_LEDVERDE   12
#define PIN_RELAY      13


// configurazione della tastiera
#define KEY_ROWS        4
#define KEY_COLUMNS     4

char keys[KEY_ROWS][KEY_COLUMNS] = {
  {'1','2','3','A'},
  {'4','5','6','B'},
  {'7','8','9','C'},
  {'*','0','#','D'}
};

byte rowPins[KEY_ROWS] = {2,3,4,5};
byte colPins[KEY_COLUMNS] = {7,8,9,10};
